Class Specialization
Bfam<Trie>
Backward Suffix Trie Matching algorithm.

Pattern

Bfam

Bfam<Trie>

Pattern<TNeedle, Bfam<Trie> >
Include Headers
seqan/find.h
Parameters

TNeedle | The needle type. Types: String

Remarks
To be used in combination with the default specialization of Finder.
Specialization of
Bfam
Metafunctions

Host | Type of the object a given object depends on. (Pattern)
Needle | Returns the needle type of a Pattern type. (Pattern)
ScoringScheme | Returns the scoring scheme of an approximate searching algorithm. (Pattern)

Functions

find | Search for a Pattern in a Finder object. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
host | The object a given object depends on. (Pattern)
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms). (Pattern)
position | Position of an iterator. (Pattern)
scoringScheme | The scoring scheme used for finding or aligning. (Pattern)
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing. (Pattern)
setScoringScheme | Sets the scoring scheme used for finding or aligning. (Pattern)

See Also
Bfam<Oracle>
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50